<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">

        <meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

        <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
        <!-- периеходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. -->
        <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline';
        script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

        <link rel="stylesheet" href="css/bootstrap.min.css">

        <script src="js/jquery341.js"></script>
        <script src="js/popper.js"></script>
        <script src="js/bootstrap.min.js"></script>

        <!-- АПИ Яндекс карт Мой ключ (b48b2e9e-9a41-4ccc-b77a-1dcd296ce1e7) -->
        <script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&amp;apikey=b48b2e9e-9a41-4ccc-b77a-1dcd296ce1e7" type="text/javascript"></script>

        <link rel="stylesheet" href="css/index.css">

        <style>
            #map {
                width: 100%;
                height: 100%;
                min-height: 100%;
                display: block;
            }
            .fill {
                min-height: 100%;
                height: 100%;
            }
        </style>
        <title>Геолокация</title>

    </head>

    <body style="padding: 5px 5px 5px 5px">

        <!-- Контейнер управления -->
        <div class="app">
            <div class="d-flex justify-content-center">
            <img src="img/train.png" width="150">
            </div>
            <div class="row" style="background-color: #4c6e91; padding: 15px 0px 15px 0px; border-radius: 15px; margin: 0px 0px 0px 0px;">
                <p style="margin-left:10px; margin-right:10px; color: white" id="hdr"></p>
                <div class="col-12" align="left">
                    <button type="button" class="btn btn-outline-light" onclick="getLocation()">Геолокация</button>
                    <button type="button" class="btn btn-outline-light" onclick="getScan()">Камера</button>
                </div>
            </div>

        </div>

        <!-- Контейнер снимка -->
        <div id="camera" class="d-flex justify-content-center">
            <input id="imgSrc" value="" hidden>
            <img class="card-img-top" src="" id="passImage" hidden>
        </div>

        <!-- Контейнер карт -->
        <div id="map" style="height: 500px; padding-top: 20px;"></div>

        <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript">

            var myMap;

            $(document).ready(function() {
               // todo code here ...
                $(location).attr('href', 'main.html');
            });

            /** Инициализация Яндекс карт **/
            ymaps.ready(function () {
                myMap = new ymaps.Map('map', {
                    // При инициализации карты обязательно нужно указать
                    // её центр и коэффициент масштабирования.
                    center: [55.76, 37.64], // Москва
                    zoom: 10
                }, {
                    searchControlProvider: 'yandex#search'
                });
            });

            /** Получаем геолокацию **/
            function getLocation(){
                // navigator.geolocation.getCurrentPosition(onSuccess, onError);
                // console.log('Yip');
                return navigator.geolocation.watchPosition
                (onLocSuccess, onLocError, { enableHighAccuracy: true });
            }

            /** Callback геолокации **/
            var onLocSuccess = function(position) {

                var element = document.getElementById('hdr');
                element.innerHTML = 'Latitude: '          + position.coords.latitude          + '<br>' +
                    'Longitude: '         + position.coords.longitude         + '<br>' +
                    'Altitude: '          + position.coords.altitude          + '<br>' +
                    'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '<br>' +
                    'Heading: '           + position.coords.heading           + '<br>' +
                    'Speed: '             + position.coords.speed             + '<br>' +
                    'Accuracy: '          + position.coords.accuracy          + '<br>' +
                    'Timestamp: '         + position.timestamp                + '<br>';

                /** Прокручиваем карту к нашему положению и пример балуна с текстом **/
                myMap.setCenter([position.coords.latitude, position.coords.longitude], 10);

                myPlacemark = new ymaps.Placemark([position.coords.latitude, position.coords.longitude], {
                    // Чтобы балун и хинт открывались на метке, необходимо задать ей определенные свойства.
                    balloonContentHeader: "Балун метки",
                    balloonContentBody: "Содержимое <em>балуна</em> метки",
                    balloonContentFooter: "Подвал",
                    hintContent: "Хинт метки"
                });

                myMap.geoObjects.add(myPlacemark);
            };

            /** Callback геолокации **/
            function onLocError(error) {
                alert('code: '    + error.code    + '\n' +
                    'message: ' + error.message + '\n');
            }

            /** Инициализация камеры **/
            function getScan(){

                var opts = {
                    quality: 100,
                    destinationType: Camera.DestinationType.DATA_URL,
                    sourceType: Camera.PictureSourceType.CAMERA,
                    mediaType: Camera.MediaType.PICTURE,
                    encodingType: Camera.EncodingType.JPEG,
                    cameraDirection: Camera.Direction.BACK,
                    correctOrientation: true,
                    // targetWidth: 300,
                    // targetHeight: 400
                };

                navigator.camera.getPicture(cameraSuccess, cameraError, opts);
            }

            /** Callback камеры **/
            function cameraSuccess(imgURI){
                $('#imgSrc').empty();
                var src = "data:image/jpeg;base64," + imgURI;
                $('#imgSrc').attr("value", src);

                $('#passImage').attr("src", "data:image/jpeg;base64," + imgURI);
                $('#passImage').attr('hidden', false);
            }

            /** Callback камеры **/
            function cameraError(msg) {
                $('#camera').empty();
                $('#camera').append(msg);
                $('#imgSrc').val("");
            }

        </script>

    </body>
</html>
